import actionCreatorFactory from "typescript-fsa";
import { useSelector } from "react-redux";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const commandsInitialState = {
    outputs: 0
};
/* Selectors */
export const selectCommands = () => useSelector((state) => {
    if (state.commands) {
        return state.commands;
    }
    return { outputs: 0 };
});
/* Actions */
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "commands/OUTPUTS";
    ActionType["EXECUTE"] = "commands/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const commandsActions = {
    outputs: actionCreator(ActionType.OUTPUTS),
    execute: actionCreator(ActionType.EXECUTE),
};
/* Reducers */
export const commandsReducer = reducerWithInitialState(commandsInitialState)
    .case(commandsActions.outputs, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success });
});
