import actionCreatorFactory from "typescript-fsa";
import { useSelector } from "react-redux";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const fileBrowserInitialState = {
    outputs: 0
};
/* Selectors */
export const selectFileBrowser = () => useSelector((state) => {
    if (state.fileBrowser) {
        return state.fileBrowser;
    }
    return { outputs: 0 };
});
/* Actions */
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "fileBrowser/OUTPUTS";
    ActionType["EXECUTE"] = "fileBrowser/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const fileBrowserActions = {
    outputs: actionCreator(ActionType.OUTPUTS),
    execute: actionCreator(ActionType.EXECUTE),
};
/* Reducers */
export const fileBrowserReducer = reducerWithInitialState(fileBrowserInitialState)
    .case(fileBrowserActions.outputs, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success });
});
