import { jsx as _jsx, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { useState, useEffect, useReducer } from 'react';
import TreeView from '@mui/lab/TreeView';
import ExpandMoreIcon from '@mui/icons-material/ExpandMore';
import ChevronRightIcon from '@mui/icons-material/ChevronRight';
import TreeItem from '@mui/lab/TreeItem';
import Services from '../../jupyter/services/Services';
const initialTree = {
    id: 'root',
    name: 'Jupyter Content',
};
const FileBrowserTree = () => {
    const [tree, setTree] = useState(initialTree);
    const [, forceUpdate] = useReducer(x => x + 1, 0);
    const [services, _] = useState(new Services());
    const loadPath = (subTree, path) => {
        const loadFolderItems = (path) => {
            const folderItems = services.contents().get(path.join('/')).then(res => {
                const items = res.content.map((e) => {
                    if (e.type === 'directory') {
                        return {
                            id: 'folder_' + e.name,
                            name: e.name,
                            children: new Array(),
                        };
                    }
                    else {
                        return {
                            id: 'file_' + e.name,
                            name: e.name,
                        };
                    }
                });
                return items;
            });
            return folderItems;
        };
        loadFolderItems(path).then(folderItems => {
            subTree.children = folderItems;
            for (const child of subTree.children) {
                if (child.id.startsWith('folder_')) {
                    loadPath(child, path.concat(child.name));
                }
            }
            setTree(initialTree);
            forceUpdate();
        });
    };
    useEffect(() => {
        loadPath(initialTree, []);
    }, []);
    const renderTree = (nodes) => {
        return _jsx(TreeItem, Object.assign({ nodeId: nodes.id, label: nodes.name }, { children: Array.isArray(nodes.children)
                ? nodes.children.map(node => renderTree(node))
                : null }), nodes.id);
    };
    return (_jsx(_Fragment, { children: _jsx(TreeView, Object.assign({ "aria-label": "rich object", defaultCollapseIcon: _jsx(ExpandMoreIcon, {}, void 0), defaultExpanded: ['root'], defaultExpandIcon: _jsx(ChevronRightIcon, {}, void 0), sx: { height: 210, flexGrow: 1, maxWidth: 400, overflowY: 'auto' } }, { children: renderTree(tree) }), void 0) }, void 0));
};
export default FileBrowserTree;
