import { Store } from 'redux';
import { CommandRegistry } from '@lumino/commands';
import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import { NotebookPanel } from '@jupyterlab/notebook';
import { INotebookProps } from './Notebook';
import JupyterKernel from '../../jupyter/services/kernel/Kernel';
export declare class NotebookAdapter {
    private props;
    private boxPanel;
    private _notebookPanel;
    private commandRegistry;
    private serverSettings;
    private serviceManager;
    private kernel?;
    private iPyWidgetsClassicManager;
    private store;
    constructor(props: INotebookProps, store: Store, kernel: JupyterKernel);
    loadNotebook(notebookPath: string): void;
    get notebookPanel(): NotebookPanel;
    get panel(): BoxPanel;
    get manager(): ServiceManager;
    get commands(): CommandRegistry;
}
export default NotebookAdapter;
