import { useSelector } from "react-redux";
import actionCreatorFactory from "typescript-fsa";
import { reducerWithInitialState } from "typescript-fsa-reducers";
export const outputInitialState = {
    outputs: 0
};
/* Selectors */
export const selectOutput = () => useSelector((state) => {
    if (state.Output) {
        return state.Output;
    }
    return { outputs: 0 };
});
/* Actions */
export var ActionType;
(function (ActionType) {
    ActionType["OUTPUTS"] = "Output/OUTPUTS";
    ActionType["EXECUTE"] = "Output/EXECUTE";
})(ActionType || (ActionType = {}));
const actionCreator = actionCreatorFactory('jupyterReact');
export const OutputActions = {
    outputs: actionCreator(ActionType.OUTPUTS),
    execute: actionCreator(ActionType.EXECUTE),
};
/* Reducers */
export const OutputReducer = reducerWithInitialState(outputInitialState)
    .case(OutputActions.outputs, (state, success) => {
    return Object.assign(Object.assign({}, state), { outputs: success });
});
