import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from 'react';
import { Widget } from '@lumino/widgets';
/**
 * The LuminoAttached class allows to render a Lumino
 * Widget being mounted in the React.js tree.
 */
class LuminoAttached extends React.Component {
    render() {
        return _jsx("div", { ref: ref => {
                if (ref) {
                    const widget = this.props.children;
                    if (widget.isAttached) {
                        // Widget is already attached, skipping...
                        return;
                    }
                    Widget.attach(this.props.children, ref);
                }
            } }, void 0);
    }
}
export default LuminoAttached;
